You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@airflow.apache.org by GitBox <gi...@apache.org> on 2020/06/04 14:10:51 UTC

[GitHub] [airflow] potiuk commented on a change in pull request #9132: Split utils sh

potiuk commented on a change in pull request #9132:
URL: https://github.com/apache/airflow/pull/9132#discussion_r435288550



##########
File path: scripts/ci/_all_libs.sh
##########
@@ -0,0 +1,62 @@
+#!/usr/bin/env bash
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#   http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+
+# SCRIPTS_CI_DIR must be set
+
+if [[ "${SCRIPTS_CI_DIR}" == "" ]]; then
+        echo 2>&1
+        echo 2>&1 "Error - the script should have  SCRIPTS_CI_DIR variable set!"
+        echo 2>&1
+        exit 1
+fi

Review comment:
       Nice. You learn every day :). 
   
   I usally prefer to be a bit more explicit ifs rather than idiomatic bash constructs and add empty lines (they make error a bit more readable), but since this one provides also line number + script, it's much better. I will add it in couple more places :).
   
   We need it because this will only works if we source that file from a bash script running in the "scripts/ci" directory. If we source it from ./breeze which is two levels up , the `$(dirname "${BASH_SOURCE[0]}"` returns the top level airflow sources directory.




----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.

For queries about this service, please contact Infrastructure at:
users@infra.apache.org